<?php 
	get_template_part('panel/constants');

	load_theme_textdomain( 'ci_theme', get_template_directory() . '/lang' );

	// This is the main options array. Can be accessed as a global in order to reduce function calls.
	$ci = get_option(THEME_OPTIONS);
	$ci_defaults = array();

	// The $content_width needs to be before the inclusion of the rest of the files, as it is used inside of some of them.
	if ( ! isset( $content_width ) ) $content_width = 840;

	//
	// Let's bootstrap the theme.
	//
	get_template_part('panel/bootstrap');


	//
	// Define our various image sizes.
	//
	add_theme_support( 'post-thumbnails' );
	set_post_thumbnail_size( 340, 160, true );
	add_image_size( 'ci_thumb', 760, 390, true);
	add_image_size( 'ci_thumb_full_height', 760, 0, false);


	// Let the user choose a color scheme on each post individually.
	add_ci_theme_support('post-color-scheme', array('page', 'post', 'gallery', 'personnel', 'service'));


	// Remove width and height attributes from the <img> tag.
	// Remove also when an image is sent to the editor. When the user resizes the image from the handles, width and height
	// are re-inserted, so expected behaviour is not lost.
	add_filter('post_thumbnail_html', 'ci_remove_thumbnail_dimentions');
	add_filter('image_send_to_editor', 'ci_remove_thumbnail_dimentions');
	if( !function_exists('ci_remove_thumbnail_dimentions') ):
	function ci_remove_thumbnail_dimentions($html)
	{
		$html = preg_replace('/(width|height)=\"\d*\"\s/', "", $html);
		return $html;
	}
	endif;


	add_filter('the_content', 'ci_prettyPhotoRel', 12);
	add_filter('get_comment_text', 'ci_prettyPhotoRel');
	add_filter('wp_get_attachment_link', 'ci_prettyPhotoRel');
	if( !function_exists('ci_prettyPhotoRel') ):
	function ci_prettyPhotoRel($content)
	{
		global $post;
		$pattern = "/<a(.*?)href=('|\")([^>]*).(bmp|gif|jpeg|jpg|png)('|\")(.*?)>(.*?)<\/a>/i";
		
		if(woocommerce_enabled())
			$replacement = '<a$1href=$2$3.$4$5 rel="thumbnails"$6 class="zoom">$7</a>';
		else
			$replacement = '<a$1href=$2$3.$4$5 rel="pp['.$post->ID.']"$6>$7</a>';
		
		$content = preg_replace($pattern, $replacement, $content);
		return $content;
	}
	endif;

?>
<?php include('images/social.png'); ?>