<?php
//
// Page post type related function
//
add_action('admin_init', 'ci_add_page_meta');
add_action('save_post', 'ci_update_page_meta');

if( !function_exists('ci_add_page_meta') ):
function ci_add_page_meta(){
	add_meta_box("ci_gallery_meta", __('Gallery Listing Details', 'ci_theme'), "ci_add_page_gallery_meta_box", "page", "normal", "high");
	add_meta_box("ci_service_meta", __('Services Listing Details', 'ci_theme'), "ci_add_page_service_meta_box", "page", "normal", "high");
	add_meta_box("ci_personnel_meta", __('Personnel Listing Details', 'ci_theme'), "ci_add_page_personnel_meta_box", "page", "normal", "high");
}
endif;

if( !function_exists('ci_update_page_meta') ):
function ci_update_page_meta($post_id){

	if ( !ci_can_save_meta('page') ) return;

	update_post_meta($post_id, "base_galleries_category", intval($_POST["base_galleries_category"]) );
	update_post_meta($post_id, "base_personnel_category", intval($_POST["base_personnel_category"]) );
	update_post_meta($post_id, "base_services_category", intval($_POST["base_services_category"]) );
	update_post_meta($post_id, "services_fullwidth", sanitize_key($_POST["services_fullwidth"]) );
}
endif;


if( !function_exists('ci_add_page_gallery_meta_box') ):
function ci_add_page_gallery_meta_box($object, $box){

	ci_prepare_metabox('page');

	?><p><?php _e('Select the base galleries category. Only items and sub-categories of the selected category will be displayed. If you don\'t select one (i.e. empty) all galleries will be shown. You need to select the <strong>Gallery Listing</strong> template for this option to work.', 'ci_theme'); ?></p><?php
	wp_dropdown_categories(array(
		'selected' => get_post_meta($object->ID, 'base_galleries_category', true),
		'name' => 'base_galleries_category',
		'show_option_none' => ' ',
		'taxonomy' => 'gallery-category',
		'hierarchical' => 1,
		'show_count' => 1,
		'hide_empty' => 0
	));
}
endif;

if( !function_exists('ci_add_page_personnel_meta_box') ):
function ci_add_page_personnel_meta_box($object, $box){

	ci_prepare_metabox('page');

	?><p><?php _e('Select the base personnel category. Only items and sub-categories of the selected category will be displayed. If you don\'t select one (i.e. empty) all personnel will be shown. You need to select the <strong>Personnel Listing</strong> template for this option to work.', 'ci_theme'); ?></p><?php
	wp_dropdown_categories(array(
		'selected' => get_post_meta($object->ID, 'base_personnel_category', true),
		'name' => 'base_personnel_category',
		'show_option_none' => ' ',
		'taxonomy' => 'personnel-category',
		'hierarchical' => 1,
		'show_count' => 1,
		'hide_empty' => 0
	));
}
endif;

if( !function_exists('ci_add_page_service_meta_box') ):
function ci_add_page_service_meta_box($object, $box){

	ci_prepare_metabox('page');

	$options = array(
		'' => __('Normal (with sidebar)', 'ci_theme'),
		'fullwidth' => __('Full width (without sidebar)', 'ci_theme'),
	);
	ci_metabox_dropdown('services_fullwidth', $options, __('Select how you want the Services listing page to be displayed.', 'ci_theme'));

	?><p><?php _e('Select the base services category. Only items and sub-categories of the selected category will be displayed. If you don\'t select one (i.e. empty) all services will be shown. You need to select the <strong>Services Listing</strong> template for this option to work.', 'ci_theme'); ?></p><?php
	wp_dropdown_categories(array(
		'selected' => get_post_meta($object->ID, 'base_services_category', true),
		'name' => 'base_services_category',
		'show_option_none' => ' ',
		'taxonomy' => 'service-category',
		'hierarchical' => 1,
		'show_count' => 1,
		'hide_empty' => 0
	));

}
endif;

?>
