<?php
//
// Service Post Type related functions.
//
add_action('init', 'ci_create_cpt_service');
add_action('admin_init', 'ci_add_cpt_service_meta');
add_action('save_post', 'ci_update_cpt_service_meta');

if( !function_exists('ci_create_cpt_service') ):
function ci_create_cpt_service() {
	$labels = array(
		'name' => _x('Services', 'post type general name', 'ci_theme'),
		'singular_name' => _x('Service', 'post type singular name', 'ci_theme'),
		'add_new' => __('Add new', 'ci_theme'),
		'add_new_item' => __('Add new Service', 'ci_theme'),
		'edit_item' => __('Edit Service', 'ci_theme'),
		'new_item' => __('New Service', 'ci_theme'),
		'view_item' => __('View Service', 'ci_theme'),
		'search_items' => __('Search Services', 'ci_theme'),
		'not_found' =>  __('No Services found', 'ci_theme'),
		'not_found_in_trash' => __('No Services found in the trash', 'ci_theme'),
		'parent_item_colon' => __('Parent Service:', 'ci_theme')
	);

	$args = array(
		'labels' => $labels,
		'singular_label' => __('Service', 'ci_theme'),
		'public' => true,
		'show_ui' => true,
		'capability_type' => 'page',
		'hierarchical' => false,
		'has_archive' => false,
		'rewrite' => true,
		'menu_position' => 5,
		'supports' => array('title', 'editor', 'thumbnail', 'excerpt')
	);

	register_post_type( 'service' , $args );
}
endif;

if( !function_exists('ci_add_cpt_service_meta') ):
function ci_add_cpt_service_meta(){
	add_meta_box("ci_cpt_service_meta", __('Service Details', 'ci_theme'), "ci_add_cpt_service_meta_box", "service", "normal", "high");
}
endif;

if( !function_exists('ci_update_cpt_service_meta') ):
function ci_update_cpt_service_meta($post_id){

	if ( !ci_can_save_meta('service') ) return;

	update_post_meta($post_id, "ci_cpt_service_duration", sanitize_text_field($_POST["ci_cpt_service_duration"]) );
	update_post_meta($post_id, "ci_cpt_service_cost", sanitize_text_field($_POST["ci_cpt_service_cost"]) );
	update_post_meta($post_id, "ci_cpt_service_offer", ci_sanitize_checkbox($_POST["ci_cpt_service_offer"], 'enabled') );
}
endif;

if( !function_exists('ci_add_cpt_service_meta_box') ):
function ci_add_cpt_service_meta_box(){

	ci_prepare_metabox('service');

	ci_metabox_input('ci_cpt_service_duration', __('Duration', 'ci_theme'));
	ci_metabox_input('ci_cpt_service_cost', __('Cost', 'ci_theme'));
	ci_metabox_checkbox('ci_cpt_service_offer', 'enabled', __('Special offer', 'ci_theme'));
}
endif;

?>
