<?php global $ci, $ci_defaults, $load_defaults, $content_width; ?>
<?php if ($load_defaults===TRUE): ?>
<?php
	add_filter('ci_panel_tabs', 'ci_add_tab_display_options', 40);
	if( !function_exists('ci_add_tab_display_options') ):
		function ci_add_tab_display_options($tabs) 
		{ 
			$tabs[sanitize_key(basename(__FILE__, '.php'))] = __('Display Options', 'ci_theme'); 
			return $tabs; 
		}
	endif;
	
	// Default values for options go here.
	// $ci_defaults['option_name'] = 'default_value';
	// or
	// load_panel_snippet( 'snippet_name' );

	$ci_defaults['default_bg_image'] = ''; // Holds the URL of the image file to use as background
	$ci_defaults['default_bg_image_hidden'] = ''; // Holds the attachment ID of the image file to use as background

	$ci_defaults['header_featured_link_text'] = __('Make an appointment', 'ci_theme');
	$ci_defaults['header_featured_link_page'] = '';

	$ci_defaults['service_listing_links_to'] = '';

	load_panel_snippet('excerpt');
	
	load_panel_snippet('seo');
	load_panel_snippet('comments');
	load_panel_snippet('pagination');


	add_filter('ci_featured_image_post_types', 'ci_add_featured_img_cpt');
	// Add support for the applicable custom post types
	if( !function_exists('ci_add_featured_img_cpt') ):
	function ci_add_featured_img_cpt($post_types)
	{
		$post_types[] = 'personnel';
		$post_types[] = 'service';
		$post_types[] = 'gallery';
		return $post_types;		
	}
	endif;
	
	load_panel_snippet('featured_image_single');
	$ci_defaults['featured_single_gallery_show'] = '';
	$ci_defaults['featured_single_personnel_show'] = '';
	$ci_defaults['featured_single_service_show'] = '';


	// Set our full width template width.
	add_filter('ci_full_template_width', 'ci_fullwidth_width');
	function ci_fullwidth_width()
	{ 
		return 1280; 
	}
	load_panel_snippet('featured_image_fullwidth');


	// Change the Read More markup.
	add_filter('ci-read-more-link', 'ci_theme_readmore', 10, 3);
	function ci_theme_readmore($html, $text, $link)
	{
		return '<a class="read-more btn" href="'.esc_url($link).'">'.$text.'</a>';
	}

?>
<?php else: ?>

	<fieldset class="set">
		<p class="guide"><?php _e('Set a page to be featured alongside the main menu, on the header of the website.', 'ci_theme'); ?></p>

		<?php ci_panel_input('header_featured_link_text', __('Link text', 'ci_theme')); ?>

		<label for="<?php echo THEME_OPTIONS; ?>[header_featured_link_page]"><?php _e('Select the featured page', 'ci_theme'); ?></label>
		<?php wp_dropdown_pages(array(
			'show_option_none' => '&nbsp;',
			'selected'=>$ci['header_featured_link_page'],
			'name'=>THEME_OPTIONS.'[header_featured_link_page]'
		)); ?>
	</fieldset>

	<?php load_panel_snippet('pagination'); ?>

	<?php load_panel_snippet('excerpt'); ?>	

	<?php load_panel_snippet('seo'); ?>	

	<?php load_panel_snippet('comments'); ?>	

	<fieldset class="set">
		<p class="guide"><?php _e('Similarly to the blog, the Service Listing template shows a Read More button below each service. Here, you can change its behavior by linking directly to the Appointment form. The full service\'s text will still be accessible from the post\'s title.', 'ci_theme'); ?></p>
		<?php
			$options = array(
				'' => __('The Permalink', 'ci_theme'),
				'appointment' => __('The Appointment Form', 'ci_theme')
			);
			ci_panel_dropdown('service_listing_links_to', $options, __("Services' buttons in listing pages links to:", 'ci_theme'));
		?>
	</fieldset>
	

	<?php load_panel_snippet('featured_image_single'); ?>

	<?php load_panel_snippet('featured_image_fullwidth'); ?>

<?php endif; ?>
