<?php 
add_filter('ci_footer_credits', 'ci_theme_footer_credits');
if( !function_exists('ci_theme_footer_credits') ):
function ci_theme_footer_credits($string){

	if(!CI_WHITELABEL) {
		return '<a href="http://www.wordpress.org">' 
			. __('Powered by WordPress', 'ci_theme') 
			. '</a> - <a href="http://www.cssigniter.com" '
			. 'title="'.esc_attr(__('Premium WordPress Themes', 'ci_theme')).'">' 
			. __('A theme by CSSIgniter.com', 'ci_theme')
			. '</a>';
	}
	else {
		return '<a href="' . home_url() . '">' 
			. get_bloginfo('name') 
			. '</a> - <a href="http://www.wordpress.org">' 
			. __('Powered by WordPress', 'ci_theme')
			. '</a>';
	}
}
endif;

add_action('ci_pagination_default_args', 'ci_theme_pagination_default_args');
if( !function_exists('ci_theme_pagination_default_args') ):
function ci_theme_pagination_default_args($args)
{
	$args['container_id'] = 'pagination';
	return $args;
}
endif;

// Override the default custom background handler.
// Hooked as add_action('ci_custom_background', 'ci_custom_background_handler');
if( !function_exists('ci_custom_background_handler')):
function ci_custom_background_handler($options)
{
	echo apply_filters('ci_custom_background_applied_element', 'body');
	echo '{';

	if ($options['bg_color']) echo 'background-color: '.$options['bg_color'].';';

	// We don't want the custom background in the front page.
	if( ! is_page_template('template-front.php'))
	{
		if ($options['bg_image'])
		{
			echo 'background-image: url('.$options['bg_image'].');';
			echo 'background-position: '.$options['bg_image_horizontal'].' '.$options['bg_image_vertical'].';';
			if($options['bg_image_attachment']=='fixed') echo 'background-attachment: fixed;';
			if ( !empty($options['bg_image_size']) ) echo 'background-size: '.$options['bg_image_size'].';';
		}
		if ($options['bg_image_repeat']) echo 'background-repeat: '.$options['bg_image_repeat'].';';
		if ($options['bg_image_disable']=='enabled') echo 'background-image: none;';
	}
	
	echo '} ';

	// For iDevices compatibility
	if( (!is_page_template('template-front.php')) and (!empty($options['bg_image'])) )
	{
		echo '@media only screen and (max-width: 1024px) { #bg { background-image: url('.$options['bg_image'].'); } }';
	}
}
endif;
?>
