<?php 
if( !class_exists('CI_Appointment') ):
class CI_Appointment extends WP_Widget {

	function CI_Appointment(){
		$widget_ops = array('description' => __('Provides a call to action button, directing to the Appointment form.', 'ci_theme'));
		$control_ops = array(/*'width' => 300, 'height' => 400*/);
		parent::WP_Widget('ci_appointment_widget', $name='-= CI Appointment Button =-', $widget_ops, $control_ops);
	}

	function widget($args, $instance) {
		extract($args);
		$title = apply_filters( 'widget_title', empty( $instance['title'] ) ? get_the_title() : $instance['title'], $instance, $this->id_base );

		$text = $instance['text'];
		$button_text = $instance['button_text'];

		echo $before_widget;

		if ($title)
			echo $before_title . $title . $after_title;

		if($text)
			echo '<p class="book-now-text">'. $text . '</p>';

		if($button_text)
			echo '<p class="book-now-action"><a href="'. get_permalink(ci_setting('appointment_form_page')) .'" class="btn book-now-link">'. $button_text .'</a></p>';

		echo $after_widget;
		
	} // widget

	function update($new_instance, $old_instance){
		$instance = $old_instance;
		$instance['title'] = sanitize_text_field($new_instance['title']);
		$instance['text'] = sanitize_text_field($new_instance['text']);
		$instance['button_text'] = sanitize_text_field($new_instance['button_text']);
		return $instance;
	} // save

	function form($instance){
		$instance = wp_parse_args( (array) $instance, array('title'=>'', 'text'=>'', 'button_text'=>''));
		$title = $instance['title'];
		$text = $instance['text'];
		$button_text = $instance['button_text'];
		?>
		<p><label for="<?php echo $this->get_field_id('title'); ?>"><?php _e('Title:', 'ci_theme'); ?></label><input id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo esc_attr($title); ?>" class="widefat" /></p>
		<p><?php _e('The widget will display a generic appointment button, using the description text and button text set below. Useful for non-service pages.', 'ci_theme'); ?></p>
		<?php
		echo '<p><label>' . __('Text:', 'ci_theme') . '</label><input id="' . $this->get_field_id('text') . '" name="' . $this->get_field_name('text') . '" type="text" value="' . esc_attr($text) . '" class="widefat" /></p>';
		echo '<p><label>' . __('Button text:', 'ci_theme') . '</label><input id="' . $this->get_field_id('button_text') . '" name="' . $this->get_field_name('button_text') . '" type="text" value="' . esc_attr($button_text) . '" class="widefat" /></p>';
	} // form

} // class


register_widget('CI_Appointment');

endif; // class_exists
?>
