<?php 
if( !class_exists('CI_Appointment_Service') ):
class CI_Appointment_Service extends WP_Widget {

	function CI_Appointment_Service(){
		$widget_ops = array('description' => __('Provides a call to action button, to book the currently viewing service (for the Services Sidebar)', 'ci_theme'));
		$control_ops = array(/*'width' => 300, 'height' => 400*/);
		parent::WP_Widget('ci_appointment_service_widget', $name='-= CI Service Appointment =-', $widget_ops, $control_ops);
	}

	function widget($args, $instance) {
		global $post;

		if( get_post_type() != 'service' ) return;

		$title = apply_filters( 'widget_title', empty( $instance['title'] ) ? get_the_title() : $instance['title'], $instance, $this->id_base );
		$text = $instance['text'];
		$button_text = $instance['button_text'];
		$cost = get_post_meta($post->ID, 'ci_cpt_service_cost', true);
		$duration = get_post_meta($post->ID, 'ci_cpt_service_duration', true);
		$offer = get_post_meta($post->ID, 'ci_cpt_service_offer', true);

		extract($args);

		echo $before_widget;

		if ($title)
			echo $before_title . $title . $after_title;

		// Don't use preg_replace() for cost. When the value of $cost is something like '$60'
		// it doesn't work as expected, as the values $0 - $99 have special meaning to preg_replace()
		// i.e. references of subpatterns.
		$text = str_replace(':cost:', $cost, $text);
		$text = str_replace(':duration:', $duration, $text);
		if ($text)
			echo '<p class="book-now-text">'. $text . '</p>';

		if ($button_text)
			echo '<p class="book-now-action"><a href="'. add_query_arg('service_select', $post->ID, get_permalink(ci_setting('appointment_form_page'))) . '" class="btn book-now-link">'. $button_text .'</a></p>';

		if($offer == 'enabled')
			?><span class="offer-badge"><b><?php _e('Special Offer', 'ci_theme'); ?></b></span><?php

		echo $after_widget;
		
	} // widget

	function update($new_instance, $old_instance){
		$instance = $old_instance;
		$instance['title'] = sanitize_text_field($new_instance['title']);
		$instance['text'] = sanitize_text_field($new_instance['text']);
		$instance['button_text'] = sanitize_text_field($new_instance['button_text']);
		return $instance;
	} // save

	function form($instance){
		$instance = wp_parse_args( (array) $instance, array('title'=>'', 'text'=>'', 'button_text'=>''));
		$title = $instance['title'];
		$text = $instance['text'];
		$button_text = $instance['button_text'];
		?>
		<p><label for="<?php echo $this->get_field_id('title'); ?>"><?php _e('Title:', 'ci_theme'); ?></label><input id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo esc_attr($title); ?>" class="widefat" /></p>
		<p><?php _e('The widget will displays a description and a button, using the price and duration set in the Service Details of each service.', 'ci_theme'); ?></p>
		<p><?php _e('Inside the description text, you can use <strong>:cost:</strong> and <strong>:duration:</strong> that will be substituted by the cost and duration respectively.', 'ci_theme'); ?></p>
		<?php
		echo '<p><label>' . __('Text:', 'ci_theme') . '</label><input id="' . $this->get_field_id('text') . '" name="' . $this->get_field_name('text') . '" type="text" value="' . esc_attr($text) . '" class="widefat" /></p>';
		echo '<p><label>' . __('Button text:', 'ci_theme') . '</label><input id="' . $this->get_field_id('button_text') . '" name="' . $this->get_field_name('button_text') . '" type="text" value="' . esc_attr($button_text) . '" class="widefat" /></p>';
	} // form

} // class


register_widget('CI_Appointment_Service');

endif; // class_exists
?>
