<?php get_header(); ?>

<main id="main" class="row">
	<div class="eight columns">

		<article class="entry">
			<div class="wrap">

				<div class="entry-content">
					<h2><?php _e('Search results', 'ci_theme'); ?></h2>

					<?php
						global $wp_query;

						$found = $wp_query->post_count > $wp_query->found_posts ? $wp_query->post_count : $wp_query->found_posts;
						$none = __('No results found. Please broaden your terms and search again.', 'ci_theme');
						$one = __('Just one result found. We either nailed it, or you might want to broaden your terms and search again.', 'ci_theme');
						$many = sprintf(__("%d results found.", 'ci_theme'), $found);
					?>
					<p><?php ci_e_inflect($found, $none, $one, $many); ?></p>
					<?php if($found==0): ?>
						<?php get_search_form(); ?>
						<script type="text/javascript">
							// focus on search field after it has loaded
							document.getElementById('s') && document.getElementById('s').focus();
						</script>
					<?php endif; ?>

				</div>

			</div>
		</article>

		<?php if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>
	
			<article id="post-<?php the_ID(); ?>" <?php post_class('entry'); ?>>
				<div class="wrap">
					<div class="row">
		
						<?php if ( has_post_thumbnail() ) : ?>
							<div class="six columns">
								<figure class="entry-thumb">
									<a title="<?php echo esc_attr(sprintf( __('Permanent Link to: %s', 'ci_theme'), get_the_title() )); ?>" href="<?php the_permalink(); ?>">
										<?php the_post_thumbnail('ci_thumb'); ?>
									</a>
								</figure>
							</div>
						<?php endif; ?>
		
						<?php if ( has_post_thumbnail() ) : ?>
							<div class="six columns entry-content">
						<?php else : ?>
							<div class="twelve columns entry-content">
						<?php endif; ?>
	
							<div class="entry-meta">
								<h1 class="entry-title"><a title="<?php echo esc_attr(sprintf( __('Permanent Link to: %s', 'ci_theme'), get_the_title() )); ?>" href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h1>
		
								<?php if( get_post_type() == 'post' ): ?>
									<time datetime="<?php echo esc_attr(get_the_date('Y-m-d')); ?>"><?php echo get_the_date(); ?></time>
								<?php endif; ?>
							</div>
		
							<div class="entry-excerpt">
								<?php the_excerpt(); ?>
							</div>
		
							<?php ci_read_more(); ?>
						</div>
					</div>
				</div>
			</article>
	
		<?php endwhile; endif; ?>
	
		<?php ci_pagination(); ?>
	
	</div>
	
	<?php get_sidebar(); ?>
</main>

<?php get_footer(); ?>
