<?php get_header(); ?>

<main id="main" class="row">
	<div class="twelve columns">

		<?php while ( have_posts() ) : the_post(); ?>
			<article id="post-<?php the_ID(); ?>" <?php post_class('entry'); ?>>
				<div class="wrap">

					<?php if ( ci_has_image_to_show() ) : ?>
						<figure class="entry-thumb">
							<a data-rel="prettyPhoto" href="<?php echo ci_get_featured_image_src('full'); ?>">
								<?php ci_the_post_thumbnail_full(); ?>
							</a>
						</figure>
					<?php endif; ?>
	
					<div class="entry-content">
						<?php the_content(); ?>
					</div>

					<?php $attachments = ci_featgal_get_attachments(); ?>
					<?php if( $attachments->have_posts() ): ?>
						<div class="gallery-images row">
							<?php $cols = ci_setting('gallery_listing_cols'); ?>

							<?php while( $attachments->have_posts() ): $attachments->the_post(); ?>

								<div class="<?php echo $cols; ?> columns item">
									<figure class="item-thumb">
										<a href="<?php echo ci_get_image_src($post->ID); ?>" data-rel="prettyPhoto[gallery]">
											<img src="<?php echo ci_get_image_src($post->ID, 'ci_thumb'); ?>">
											<div class="overlay zoom"></div>
										</a>
									</figure>
									<h3><?php the_excerpt(); // Image caption ?></h3>
								</div>

							<?php endwhile; wp_reset_postdata(); ?>
						</div>
					<?php endif; ?>
				</div>
			</article>
		
			<div id="comments">
				<?php comments_template(); ?>
			</div>
		<?php endwhile; ?>

	</div>
</main>

<?php get_footer(); ?>
