<?php get_header(); ?>

<main id="main" class="row">
	<div class="eight columns">

		<?php while ( have_posts() ) : the_post(); ?>
			<article id="post-<?php the_ID(); ?>" <?php post_class('entry'); ?>>
				<div class="wrap">
					<div class="entry-meta">
						<h1 class="entry-title"><?php the_title(); ?></h1>
						<time datetime="<?php echo esc_attr(get_the_date('Y-m-d')); ?>"><?php echo get_the_date(); ?></time>
					</div>
	
					<?php if ( ci_has_image_to_show() ) : ?>
						<figure class="entry-thumb">
							<a data-rel="prettyPhoto" href="<?php echo ci_get_featured_image_src('full'); ?>">
								<?php ci_the_post_thumbnail(); ?>
							</a>
						</figure>
					<?php endif; ?>
	
					<div class="entry-content">
						<?php the_content(); ?>
					</div>
				</div>
			</article>
		
			<div id="comments">
				<?php comments_template(); ?>
			</div>
		<?php endwhile; ?>

	</div>

	<?php get_sidebar(); ?>
</main>

<?php get_footer(); ?>
