<?php
/*
 * Template Name: Front page
 */
?>
<?php get_header(); ?>

<div class="loading-container">
	<div class="pulse"></div>
</div>

<div id="slides">
	<?php
		$args = array(
			'post_type' => 'slider',
			'posts_per_page' => -1
		);
		$slides = new WP_Query($args);
	?>
	<?php if( $slides->have_posts() ): ?>
		<ul class="slides-container">
			<?php while( $slides->have_posts() ): $slides->the_post(); ?>

				<?php
					if ( post_custom('ci_cpt_slider_text_align') == 'right') {
						$offset = 'offset-by-seven right';
					} else {
						$offset = '';
					}
				?>
				<li>
					<img src="<?php echo ci_get_featured_image_src('full'); ?>" />
					<div class="row">
						<div class="slide-content five columns <?php echo $offset; ?>">
							<h1><?php the_title(); ?></h1>
							<?php if( esc_url(post_custom('ci_cpt_slider_url')) ): ?>
								<a class="btn" href="<?php echo esc_url(post_custom('ci_cpt_slider_url')); ?>"><?php _e('Learn More', 'ci_theme'); ?></a>
							<?php endif; ?>
						</div>
					</div>
				</li>
			<?php endwhile; ?>
		</ul>
	
		<nav class="slides-navigation">
			<a href="#" class="next">
				<i class="icon-chevron-right"></i>
			</a>
			<a href="#" class="prev">
				<i class="icon-chevron-left"></i>
			</a>
		</nav>
	<?php endif; ?>
</div>

<?php if( is_active_sidebar('homepage-widgets') ): ?>
	<div class="featurette">
		<div class="row">
			<div class="twelve columns">
				<div class="wrap">
					<div class="row">
						<?php dynamic_sidebar('homepage-widgets'); ?>
					</div>
				</div>
			</div>
		</div>
	</div>
<?php endif; ?>

<?php get_footer(); ?>
