<?php
/*
Template Name: Personnel Listing
*/
?>
<?php get_header(); ?>

<main id="main" class="row">
	<div class="twelve columns">

		<?php while ( have_posts() ) : the_post(); ?>
			<article id="post-<?php the_ID(); ?>" <?php post_class('entry'); ?>>
				<div class="wrap">

					<?php if ( ci_has_image_to_show() ) : ?>
						<figure class="entry-thumb">
							<a data-rel="prettyPhoto" href="<?php echo ci_get_featured_image_src('full'); ?>">
								<?php ci_the_post_thumbnail_full(); ?>
							</a>
						</figure>
					<?php endif; ?>
	
					<div class="entry-content">
						<?php the_content(); ?>
					</div>

					<?php 
						global $post;
						$paged = get_query_var('paged') ? get_query_var('paged') : 1;
						$base_category = get_post_meta($post->ID, 'base_personnel_category', true);
						
						$args = array(
							'post_type' => 'personnel',
							'paged' => $paged,
							'posts_per_page' => intval(ci_setting('personnel_per_page'))
						);
						
						$args_tax = array(
							'tax_query' => array(
								array(
									'taxonomy' => 'personnel-category',
									'field' => 'id',
									'terms' => $base_category,
									'include_children' => true
								)
							)
						);
					
						if(empty($base_category) or $base_category < 1)
							$personnel = new WP_Query($args);
						else
							$personnel = new WP_Query(array_merge($args, $args_tax));
					?>

					<?php if( $personnel->have_posts() ): ?>
						<div class="gallery-images row">
							<?php $cols = ci_setting('personnel_listing_cols'); ?>

							<?php while( $personnel->have_posts() ): $personnel->the_post(); ?>

								<?php global $post; ?>
								<div class="<?php echo $cols; ?> columns item">
									<figure class="item-thumb">
										<a href="<?php the_permalink(); ?>">
											<?php the_post_thumbnail('ci_thumb'); ?>
										</a>
									</figure>
									<h3><?php the_title(); ?></h3>
									<?php $job = get_post_meta($post->ID, "ci_cpt_personnel_job_title", true); ?>
									<?php if( !empty( $job ) ): ?>
										<h4><?php echo $job; ?></h4>
									<?php endif; ?>
								</div>

							<?php endwhile; wp_reset_postdata(); ?>
						</div>
					<?php endif; ?>
				</div>
			</article>
		
		<?php endwhile; ?>

		<?php ci_pagination(array(), $personnel); ?>

	</div>
</main>

<?php get_footer(); ?>
